Nginx 1.9.5?

Asked by Marcus Bointon on 2015-10-14

Hi,

I was wondering if/when you are going to create packages for nginx 1.9.5 in the nginx mainline ppa? In the past you've been pretty quick off the mark, and 1.9.5 is an important release, adding HTTP/2.

Thanks,

Marcus

Question information

Language:
English Edit question
Status:
Solved
For:
Nginx Edit question
Assignee:
Thomas Ward Edit question
Solved by:
Thomas Ward
Solved:
Last query:
Last reply:
Revision history for this message
Best Thomas Ward (teward) said :
#1

The best place to get information about PPA status is likely by watching my Twitter (@teward001).

The current state of 1.9.5 is as follows:
(1) SPDY is no longer supported, which means we have to make a large-scale PPA announcement, usually through my blog (dark-net.net)

(2) We had to get information from the Lua module people. I reached out over Twitter to them, and only got a confirmation back within the past day or so that HTTP/2 ***will not work*** with the Lua module at this time.

I'm working to build packages and test them currently. No ETA to when they'll land in the PPA though. Not yet.

Revision history for this message
Thomas Ward (teward) said :
#2

Also note that the PPA for Nginx is tracked at the Nginx Project on Launchpad, and not my own PPA bugs tracker project.

Revision history for this message
Marcus Bointon (marcus-synchromedia) said :
#3

Thanks Thomas Ward, that solved my question.

Revision history for this message
Marcus Bointon (marcus-synchromedia) said :
#4

Thanks for the info, I've followed you on Twitter. I asked you here as the package project seemed to have no bug reporting (https://launchpad.net/~nginx), but now I see I should have looked on the nginx project page (https://launchpad.net/nginx - a very similar URL) instead. Sorry about that, and thanks for your work, it's much appreciated!